%define upstream_name    Dist-Zilla-Plugin-ChangelogFromGit
%define upstream_version 0.017

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Build CHANGES from git commits and tags
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Infinite)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Git::Repository::Log::Iterator)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Software::Release)
BuildRequires: perl(Software::Release::Change)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This Dist::Zilla plugin writes a CHANGES file that contains formatted
commit information from recent git logs.

This plugin has the following configuration variables:

* * max_age

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.17.0-5.mga10
+ Revision: 2203583
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.17.0-4.mga9
+ Revision: 1808836
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.17.0-3.mga8
+ Revision: 1503945
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.17.0-2.mga7
+ Revision: 1282992
- Mageia 7 Mass Rebuild

* Mon Jan 22 2018 shlomif <shlomif> 0.17.0-1.mga7
+ Revision: 1196284
- update to 0.017

* Sun Jun 19 2016 pterjan <pterjan> 0.16.0-5.mga6
+ Revision: 1026094
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.16.0-4.mga6
+ Revision: 944906
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.16.0-3.mga5
+ Revision: 747832
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 sander85 <sander85> 0.16.0-1.mga5
+ Revision: 650878
- update to 0.016

* Sat Jun 07 2014 sander85 <sander85> 0.15.0-2.mga5
+ Revision: 634316
- Fix BR

* Sat Oct 19 2013 umeabot <umeabot> 0.15.0-2.mga4
+ Revision: 531943
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 0.15.0-1.mga4
+ Revision: 465844
- update to 0.015

* Fri Jun 07 2013 jquelin <jquelin> 0.7.0-1.mga4
+ Revision: 439086
- update to 0.007

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 366076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 306072
- update to 0.006

* Tue Jun 05 2012 jquelin <jquelin> 0.5.0-1.mga3
+ Revision: 254866
- update to 0.005

* Mon Mar 05 2012 jquelin <jquelin> 0.4.0-1.mga2
+ Revision: 218712
- update to 0.004

* Sat Nov 05 2011 kharec <kharec> 0.3.0-1.mga2
+ Revision: 163732
- update to 0.003

* Sat Jan 22 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 31933
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-ChangelogFromGit

